---
layout: section
color: indigo
---

# Introduction

---
layout: side-title
title: What is `Vue.js`?
color: indigo
align: cm
titlewidth: is-3
---
:: title ::
# What is `Vue.js`?

:: content ::

<NpmInfo  logo="./images/vue_logo.png"
          summary="The Progressive JavaScript Framework"
          npmPackage="vue"
          githubRepo="vuejs/core"/>

- An **approachable**, **performant** and **versatile** framework for building
web user interfaces.

  - **Approachable**: Builds on top of standard HTML, CSS and JavaScript with
  intuitive API and world-class documentation.

  - **Performant:** Truly reactive, compiler-optimized rendering system that
  rarely requires manual optimization.

  - **Versatile:** A rich, incrementally adoptable ecosystem that scales between
  a library and a full-featured framework.


---
layout: side-title
title: What is `Vue.js`?
color: indigo
align: cm
titlewidth: is-3
---
:: title ::
# What is `Vue.js`?

:: content ::

## Timeline

<div class="grid grid-cols-2 gap-x-6 items-center">
<Timeline :items='[{title: "v0.6", date: "Dec 8, 2013", description: "Evan You releases the first version of Vue.js"},
  {title: "v1.0 (Evangelion)", date: "Oct 26, 2015", description: "First stable version"},
  {title: "v2.0 (Ghost in the Shell)", date: "Sep 30, 2016", description: "Major rewrite"},
  {title: "v3.0 (One Piece)", date: "Sep 30, 2016", description: "Composition API & TypeScript support"},
  {title: "Vue 2 EOL", date: "Dec 31, 2023", description: "End of Support"}]'/>

<TwitterProfile
  avatar="https://avatars.githubusercontent.com/u/499550"
  name="Evan You"
  username="youyuxi"
  bio="Husband / Father of two / Founder @voidzerodev / Creator @vuejs & @vite_js. Chinese-only alt: @yuxiyou"
  location="Singapore"
  website="https://voidzero.dev/"
  joinedDate="2010"
  followingCount="1 735"
  followersCount="285,1 k"
/>
</div>

---
layout: side-title
title: Why `Vue.js`?
color: indigo
align: cm
titlewidth: is-3
---
:: title ::
# Why `Vue.js`?

:: content ::

## Top JS Frameworks Used in 2024

<ImageWithCredit
  src="./images/front_end_frameworks_usage.png"
  credit="https://2024.stateofjs.com/en-US/libraries/front-end-frameworks/"
/>


---
layout: side-title
title: Why `Vue.js`?
color: indigo
align: cm
titlewidth: is-3
---
:: title ::
# Why `Vue.js`?

:: content ::

## Favourable Opinion per Framework

<ImageWithCredit
  src="./images/front_end_frameworks_retention.png"
  credit="https://2024.stateofjs.com/en-US/libraries/front-end-frameworks/"
/>



---
layout: side-title
title: Why `Vue.js`?
color: indigo
align: cm
titlewidth: is-3
---
:: title ::
# Why `Vue.js`?

:: content ::

## JS Frameworks Benchmarks

<ImageWithCredit
  src="./images/frameworks_benchmark.jpg"
  credit="https://x.com/icarusgkx/status/1693620200543862852"
  class="w-[90%]"
/>